Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3711)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3712)
@@ -1290,21 +1318,21 @@
         ALLOCATE ( surf_usm_h%rho_c_green(nzb_wall:nzt_wall,1:surf_usm_h%ns)     )
 
-        ALLOCATE ( surf_usm_h%rho_c_total_green(nzb_wall:nzt_wall,1:surf_usm_h%ns)     )
-        ALLOCATE ( surf_usm_h%n_vg_green(1:surf_usm_h%ns)     )
-        ALLOCATE ( surf_usm_h%alpha_vg_green(1:surf_usm_h%ns)     )
-        ALLOCATE ( surf_usm_h%l_vg_green(1:surf_usm_h%ns)     )
-        ALLOCATE ( surf_usm_h%gamma_w_green_sat(nzb_wall:nzt_wall+1,1:surf_usm_h%ns)     )
-        ALLOCATE ( surf_usm_h%lambda_w_green(nzb_wall:nzt_wall,1:surf_usm_h%ns)     )
-        ALLOCATE ( surf_usm_h%gamma_w_green(nzb_wall:nzt_wall,1:surf_usm_h%ns)     )
-        ALLOCATE ( surf_usm_h%tswc_h_m(nzb_wall:nzt_wall,1:surf_usm_h%ns)     )
+        ALLOCATE ( surf_usm_h%rho_c_total_green(nzb_wall:nzt_wall,1:surf_usm_h%ns)    )
+        ALLOCATE ( surf_usm_h%n_vg_green(1:surf_usm_h%ns)                             )
+        ALLOCATE ( surf_usm_h%alpha_vg_green(1:surf_usm_h%ns)                         )
+        ALLOCATE ( surf_usm_h%l_vg_green(1:surf_usm_h%ns)                             )
+        ALLOCATE ( surf_usm_h%gamma_w_green_sat(nzb_wall:nzt_wall+1,1:surf_usm_h%ns)  )
+        ALLOCATE ( surf_usm_h%lambda_w_green(nzb_wall:nzt_wall,1:surf_usm_h%ns)       )
+        ALLOCATE ( surf_usm_h%gamma_w_green(nzb_wall:nzt_wall,1:surf_usm_h%ns)        )
+        ALLOCATE ( surf_usm_h%tswc_h_m(nzb_wall:nzt_wall,1:surf_usm_h%ns)             )
 
 !
 !--     For vertical surfaces.
         DO  l = 0, 3
-           ALLOCATE ( surf_usm_v(l)%thickness_wall(1:surf_usm_v(l)%ns)               )
+           ALLOCATE ( surf_usm_v(l)%thickness_wall(1:surf_usm_v(l)%ns)                    )
            ALLOCATE ( surf_usm_v(l)%thickness_window(1:surf_usm_v(l)%ns)                  )
            ALLOCATE ( surf_usm_v(l)%thickness_green(1:surf_usm_v(l)%ns)                   )
-           ALLOCATE ( surf_usm_v(l)%lambda_h(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns)   )
-           ALLOCATE ( surf_usm_v(l)%rho_c_wall(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns) )
+           ALLOCATE ( surf_usm_v(l)%lambda_h(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns)        )
+           ALLOCATE ( surf_usm_v(l)%rho_c_wall(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns)      )
            ALLOCATE ( surf_usm_v(l)%lambda_h_window(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns) )
            ALLOCATE ( surf_usm_v(l)%rho_c_window(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns)    )
@@ -1335,18 +1363,19 @@
           ALLOCATE ( surf_usm_v(l)%r_canopy(1:surf_usm_v(l)%ns)         )
           ALLOCATE ( surf_usm_v(l)%r_canopy_min(1:surf_usm_v(l)%ns)     )
-          ALLOCATE ( surf_usm_v(l)%pt_10cm(1:surf_usm_v(l)%ns)     )
+          ALLOCATE ( surf_usm_v(l)%pt_10cm(1:surf_usm_v(l)%ns)          )
         ENDDO
-        
+
+!
 !--     allocate wall and roof layers sizes. For horizontal surfaces.
-        ALLOCATE ( zwn(nzb_wall:nzt_wall) )
-        ALLOCATE ( surf_usm_h%dz_wall(nzb_wall:nzt_wall+1,1:surf_usm_h%ns)     )
-        ALLOCATE ( zwn_window(nzb_wall:nzt_wall) )
+        ALLOCATE ( zwn(nzb_wall:nzt_wall)                                        )
+        ALLOCATE ( surf_usm_h%dz_wall(nzb_wall:nzt_wall+1,1:surf_usm_h%ns)       )
+        ALLOCATE ( zwn_window(nzb_wall:nzt_wall)                                 )
         ALLOCATE ( surf_usm_h%dz_window(nzb_wall:nzt_wall+1,1:surf_usm_h%ns)     )
-        ALLOCATE ( zwn_green(nzb_wall:nzt_wall) )
+        ALLOCATE ( zwn_green(nzb_wall:nzt_wall)                                  )
         ALLOCATE ( surf_usm_h%dz_green(nzb_wall:nzt_wall+1,1:surf_usm_h%ns)      )
-        ALLOCATE ( surf_usm_h%ddz_wall(nzb_wall:nzt_wall+1,1:surf_usm_h%ns)    )
-        ALLOCATE ( surf_usm_h%dz_wall_stag(nzb_wall:nzt_wall,1:surf_usm_h%ns)  )
-        ALLOCATE ( surf_usm_h%ddz_wall_stag(nzb_wall:nzt_wall,1:surf_usm_h%ns) )
-        ALLOCATE ( surf_usm_h%zw(nzb_wall:nzt_wall,1:surf_usm_h%ns)            )
+        ALLOCATE ( surf_usm_h%ddz_wall(nzb_wall:nzt_wall+1,1:surf_usm_h%ns)      )
+        ALLOCATE ( surf_usm_h%dz_wall_stag(nzb_wall:nzt_wall,1:surf_usm_h%ns)    )
+        ALLOCATE ( surf_usm_h%ddz_wall_stag(nzb_wall:nzt_wall,1:surf_usm_h%ns)   )
+        ALLOCATE ( surf_usm_h%zw(nzb_wall:nzt_wall,1:surf_usm_h%ns)              )
         ALLOCATE ( surf_usm_h%ddz_window(nzb_wall:nzt_wall+1,1:surf_usm_h%ns)    )
         ALLOCATE ( surf_usm_h%dz_window_stag(nzb_wall:nzt_wall,1:surf_usm_h%ns)  )
@@ -1357,14 +1386,15 @@
         ALLOCATE ( surf_usm_h%ddz_green_stag(nzb_wall:nzt_wall,1:surf_usm_h%ns)  )
         ALLOCATE ( surf_usm_h%zw_green(nzb_wall:nzt_wall,1:surf_usm_h%ns)        )
+
 !
 !--     For vertical surfaces.
         DO  l = 0, 3
-           ALLOCATE ( surf_usm_v(l)%dz_wall(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns)     )
+           ALLOCATE ( surf_usm_v(l)%dz_wall(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns)       )
            ALLOCATE ( surf_usm_v(l)%dz_window(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns)     )
            ALLOCATE ( surf_usm_v(l)%dz_green(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns)      )
-           ALLOCATE ( surf_usm_v(l)%ddz_wall(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns)    )
-           ALLOCATE ( surf_usm_v(l)%dz_wall_stag(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns)  )
-           ALLOCATE ( surf_usm_v(l)%ddz_wall_stag(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns) )
-           ALLOCATE ( surf_usm_v(l)%zw(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns)            )
+           ALLOCATE ( surf_usm_v(l)%ddz_wall(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns)      )
+           ALLOCATE ( surf_usm_v(l)%dz_wall_stag(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns)    )
+           ALLOCATE ( surf_usm_v(l)%ddz_wall_stag(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns)   )
+           ALLOCATE ( surf_usm_v(l)%zw(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns)              )
            ALLOCATE ( surf_usm_v(l)%ddz_window(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns)    )
            ALLOCATE ( surf_usm_v(l)%dz_window_stag(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns)  )
@@ -1377,11 +1407,12 @@
         ENDDO
 
+!
 !--     allocate wall and roof temperature arrays, for horizontal walls
 !
 !--     Allocate if required. Note, in case of restarts, some of these arrays 
 !--     might be already allocated.
-        IF ( .NOT. ALLOCATED( t_surf_wall_h_1 ) )                                   &
+        IF ( .NOT. ALLOCATED( t_surf_wall_h_1 ) )                              &
            ALLOCATE ( t_surf_wall_h_1(1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( t_surf_wall_h_2 ) )                                   &
+        IF ( .NOT. ALLOCATED( t_surf_wall_h_2 ) )                              &
            ALLOCATE ( t_surf_wall_h_2(1:surf_usm_h%ns) )
         IF ( .NOT. ALLOCATED( t_wall_h_1 ) )                                   &           
@@ -1405,5 +1436,5 @@
         IF ( .NOT. ALLOCATED( t_green_h_2 ) )                                  &           
            ALLOCATE ( t_green_h_2(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )          
-        IF ( .NOT. ALLOCATED( swc_h_1 ) )                                  &           
+        IF ( .NOT. ALLOCATED( swc_h_1 ) )                                      &           
            ALLOCATE ( swc_h_1(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) ) 
         IF ( .NOT. ALLOCATED( swc_sat_h_1 ) )                                  &           
@@ -1411,34 +1442,35 @@
         IF ( .NOT. ALLOCATED( swc_res_h_1 ) )                                  &           
            ALLOCATE ( swc_res_h_1(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) ) 
-        IF ( .NOT. ALLOCATED( swc_h_2 ) )                                  &           
+        IF ( .NOT. ALLOCATED( swc_h_2 ) )                                      &           
            ALLOCATE ( swc_h_2(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( rootfr_h_1 ) )                                  &           
+        IF ( .NOT. ALLOCATED( rootfr_h_1 ) )                                   &           
            ALLOCATE ( rootfr_h_1(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) ) 
-        IF ( .NOT. ALLOCATED( wilt_h_1 ) )                                  &           
+        IF ( .NOT. ALLOCATED( wilt_h_1 ) )                                     &           
            ALLOCATE ( wilt_h_1(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) ) 
-        IF ( .NOT. ALLOCATED( fc_h_1 ) )                                  &           
+        IF ( .NOT. ALLOCATED( fc_h_1 ) )                                       &           
            ALLOCATE ( fc_h_1(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) ) 
 
-        IF ( .NOT. ALLOCATED( m_liq_usm_h_1%var_usm_1d ) )                         &
+        IF ( .NOT. ALLOCATED( m_liq_usm_h_1%var_usm_1d ) )                     &
            ALLOCATE ( m_liq_usm_h_1%var_usm_1d(1:surf_usm_h%ns) )
-        IF ( .NOT. ALLOCATED( m_liq_usm_h_2%var_usm_1d ) )                         &
+        IF ( .NOT. ALLOCATED( m_liq_usm_h_2%var_usm_1d ) )                     &
            ALLOCATE ( m_liq_usm_h_2%var_usm_1d(1:surf_usm_h%ns) )
            
 !           
 !--     initial assignment of the pointers
-        t_wall_h    => t_wall_h_1;    t_wall_h_p    => t_wall_h_2
-        t_window_h    => t_window_h_1;    t_window_h_p    => t_window_h_2
-        t_green_h    => t_green_h_1;    t_green_h_p    => t_green_h_2
-        t_surf_wall_h => t_surf_wall_h_1; t_surf_wall_h_p => t_surf_wall_h_2           
+        t_wall_h    => t_wall_h_1;   t_wall_h_p   => t_wall_h_2
+        t_window_h  => t_window_h_1; t_window_h_p => t_window_h_2
+        t_green_h   => t_green_h_1;  t_green_h_p  => t_green_h_2
+        t_surf_wall_h   => t_surf_wall_h_1;   t_surf_wall_h_p   => t_surf_wall_h_2           
         t_surf_window_h => t_surf_window_h_1; t_surf_window_h_p => t_surf_window_h_2  
-        t_surf_green_h => t_surf_green_h_1; t_surf_green_h_p => t_surf_green_h_2           
+        t_surf_green_h  => t_surf_green_h_1;  t_surf_green_h_p  => t_surf_green_h_2           
         m_liq_usm_h     => m_liq_usm_h_1;     m_liq_usm_h_p     => m_liq_usm_h_2
-        swc_h       => swc_h_1; swc_h_p     => swc_h_2
-        swc_sat_h    => swc_sat_h_1
-        swc_res_h    => swc_res_h_1
-        rootfr_h       => rootfr_h_1
-        wilt_h       => wilt_h_1
-        fc_h       => fc_h_1
-
+        swc_h     => swc_h_1; swc_h_p => swc_h_2
+        swc_sat_h => swc_sat_h_1
+        swc_res_h => swc_res_h_1
+        rootfr_h  => rootfr_h_1
+        wilt_h    => wilt_h_1
+        fc_h      => fc_h_1
+
+!
 !--     allocate wall and roof temperature arrays, for vertical walls if required
 !
@@ -1446,7 +1478,7 @@
 !--     might be already allocated.
         DO  l = 0, 3
-           IF ( .NOT. ALLOCATED( t_surf_wall_v_1(l)%t ) )                           &
+           IF ( .NOT. ALLOCATED( t_surf_wall_v_1(l)%t ) )                      &
               ALLOCATE ( t_surf_wall_v_1(l)%t(1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( t_surf_wall_v_2(l)%t ) )                           &
+           IF ( .NOT. ALLOCATED( t_surf_wall_v_2(l)%t ) )                      &
               ALLOCATE ( t_surf_wall_v_2(l)%t(1:surf_usm_v(l)%ns) )
            IF ( .NOT. ALLOCATED( t_wall_v_1(l)%t ) )                           &           
@@ -1470,28 +1502,28 @@
            IF ( .NOT. ALLOCATED( t_green_v_2(l)%t ) )                          &           
               ALLOCATE ( t_green_v_2(l)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) )  
-           IF ( .NOT. ALLOCATED( m_liq_usm_v_1(l)%var_usm_1d ) )              &
+           IF ( .NOT. ALLOCATED( m_liq_usm_v_1(l)%var_usm_1d ) )               &
               ALLOCATE ( m_liq_usm_v_1(l)%var_usm_1d(1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( m_liq_usm_v_2(l)%var_usm_1d ) )              &
+           IF ( .NOT. ALLOCATED( m_liq_usm_v_2(l)%var_usm_1d ) )               &
               ALLOCATE ( m_liq_usm_v_2(l)%var_usm_1d(1:surf_usm_v(l)%ns) )
-           IF ( .NOT. ALLOCATED( swc_v_1(l)%t ) )                           &           
+           IF ( .NOT. ALLOCATED( swc_v_1(l)%t ) )                              &           
               ALLOCATE ( swc_v_1(l)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) ) 
-           IF ( .NOT. ALLOCATED( swc_v_2(l)%t ) )                           &           
+           IF ( .NOT. ALLOCATED( swc_v_2(l)%t ) )                              &           
               ALLOCATE ( swc_v_2(l)%t(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) )  
         ENDDO
 !
 !--     initial assignment of the pointers
-        t_wall_v    => t_wall_v_1;    t_wall_v_p    => t_wall_v_2
-        t_surf_wall_v => t_surf_wall_v_1; t_surf_wall_v_p => t_surf_wall_v_2
-        t_window_v    => t_window_v_1;    t_window_v_p    => t_window_v_2
-        t_green_v    => t_green_v_1;    t_green_v_p    => t_green_v_2
+        t_wall_v        => t_wall_v_1;        t_wall_v_p        => t_wall_v_2
+        t_surf_wall_v   => t_surf_wall_v_1;   t_surf_wall_v_p   => t_surf_wall_v_2
+        t_window_v      => t_window_v_1;      t_window_v_p      => t_window_v_2
+        t_green_v       => t_green_v_1;       t_green_v_p       => t_green_v_2
         t_surf_window_v => t_surf_window_v_1; t_surf_window_v_p => t_surf_window_v_2
-        t_surf_green_v => t_surf_green_v_1; t_surf_green_v_p => t_surf_green_v_2
+        t_surf_green_v  => t_surf_green_v_1;  t_surf_green_v_p  => t_surf_green_v_2
         m_liq_usm_v     => m_liq_usm_v_1;     m_liq_usm_v_p     => m_liq_usm_v_2
-        swc_v    => swc_v_1;    swc_v_p    => swc_v_2
+        swc_v           => swc_v_1;           swc_v_p           => swc_v_2
 
 !
 !--     Allocate intermediate timestep arrays. For horizontal surfaces.
-        ALLOCATE ( surf_usm_h%tt_surface_wall_m(1:surf_usm_h%ns)                  )
-        ALLOCATE ( surf_usm_h%tt_wall_m(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
+        ALLOCATE ( surf_usm_h%tt_surface_wall_m(1:surf_usm_h%ns)               )
+        ALLOCATE ( surf_usm_h%tt_wall_m(nzb_wall:nzt_wall+1,1:surf_usm_h%ns)   )
         ALLOCATE ( surf_usm_h%tt_surface_window_m(1:surf_usm_h%ns)             )
         ALLOCATE ( surf_usm_h%tt_window_m(nzb_wall:nzt_wall+1,1:surf_usm_h%ns) )
@@ -1511,6 +1543,6 @@
 !
 !--     Set inital values for prognostic quantities
-        IF ( ALLOCATED( surf_usm_h%tt_surface_wall_m ) )  surf_usm_h%tt_surface_wall_m = 0.0_wp
-        IF ( ALLOCATED( surf_usm_h%tt_wall_m    ) )  surf_usm_h%tt_wall_m    = 0.0_wp
+        IF ( ALLOCATED( surf_usm_h%tt_surface_wall_m )   )  surf_usm_h%tt_surface_wall_m   = 0.0_wp
+        IF ( ALLOCATED( surf_usm_h%tt_wall_m )           )  surf_usm_h%tt_wall_m           = 0.0_wp
         IF ( ALLOCATED( surf_usm_h%tt_surface_window_m ) )  surf_usm_h%tt_surface_window_m = 0.0_wp
         IF ( ALLOCATED( surf_usm_h%tt_window_m    )      )  surf_usm_h%tt_window_m         = 0.0_wp
@@ -1520,6 +1552,6 @@
 !--     Now, for vertical surfaces
         DO  l = 0, 3
-           ALLOCATE ( surf_usm_v(l)%tt_surface_wall_m(1:surf_usm_v(l)%ns)                  )
-           ALLOCATE ( surf_usm_v(l)%tt_wall_m(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns) )
+           ALLOCATE ( surf_usm_v(l)%tt_surface_wall_m(1:surf_usm_v(l)%ns)               )
+           ALLOCATE ( surf_usm_v(l)%tt_wall_m(nzb_wall:nzt_wall+1,1:surf_usm_v(l)%ns)   )
            IF ( ALLOCATED( surf_usm_v(l)%tt_surface_wall_m ) )  surf_usm_v(l)%tt_surface_wall_m = 0.0_wp
            IF ( ALLOCATED( surf_usm_v(l)%tt_wall_m    ) )  surf_usm_v(l)%tt_wall_m    = 0.0_wp
@@ -1533,7 +1565,7 @@
            IF ( ALLOCATED( surf_usm_v(l)%tt_green_m   ) )  surf_usm_v(l)%tt_green_m    = 0.0_wp
         ENDDO
-
+!
 !--     allocate wall heat flux output array and set initial values. For horizontal surfaces
-!         ALLOCATE ( surf_usm_h%wshf(1:surf_usm_h%ns)    )  !can be removed 
+!        ALLOCATE ( surf_usm_h%wshf(1:surf_usm_h%ns)    )  !can be removed 
         ALLOCATE ( surf_usm_h%wshf_eb(1:surf_usm_h%ns) )
         ALLOCATE ( surf_usm_h%wghf_eb(1:surf_usm_h%ns) )
@@ -1552,5 +1584,5 @@
 !--     Now, for vertical surfaces
         DO  l = 0, 3
-!            ALLOCATE ( surf_usm_v(l)%wshf(1:surf_usm_v(l)%ns)    )    ! can be removed
+!           ALLOCATE ( surf_usm_v(l)%wshf(1:surf_usm_v(l)%ns)    )    ! can be removed
            ALLOCATE ( surf_usm_v(l)%wshf_eb(1:surf_usm_v(l)%ns) )
            ALLOCATE ( surf_usm_v(l)%wghf_eb(1:surf_usm_v(l)%ns) )
@@ -1569,5 +1601,5 @@
 
         CALL location_message( 'finished', .TRUE. )
-
+        
     END SUBROUTINE usm_init_arrays
 
@@ -1586,7 +1618,7 @@
         CHARACTER(LEN=*), INTENT(IN) :: variable
   
-        INTEGER(iwp)                                       :: i, j, k, l, m, ids, idsint, iwl, istat
-        CHARACTER(LEN=varnamelength)                       :: var
-        INTEGER(iwp), PARAMETER                            :: nd = 5
+        INTEGER(iwp)                                       :: i, j, k, l, m, ids, idsint, iwl, istat  !< runnin indices
+        CHARACTER(LEN=varnamelength)                       :: var                                     !< trimmed variable
+        INTEGER(iwp), PARAMETER                            :: nd = 5                                  !< number of directions
         CHARACTER(LEN=6), DIMENSION(0:nd-1), PARAMETER     :: dirname = (/ '_roof ', '_south', '_north', '_west ', '_east ' /)
         INTEGER(iwp), DIMENSION(0:nd-1), PARAMETER         :: dirint = (/ iup_u, isouth_u, inorth_u, iwest_u, ieast_u /)
@@ -1594,4 +1626,5 @@
         IF ( variable(1:4) == 'usm_' )  THEN  ! is such a check really rquired?
 
+!
 !--     find the real name of the variable
         ids = -1
@@ -1616,4 +1649,5 @@
         ENDIF
         IF ( var(1:11) == 'usm_t_wall_'  .AND.  len(TRIM(var)) >= 12 )  THEN
+!
 !--          wall layers
             READ(var(12:12), '(I1)', iostat=istat ) iwl
@@ -1621,4 +1655,5 @@
                 var = var(1:10)
             ELSE
+!
 !--             wrong wall layer index
                 RETURN
@@ -1626,4 +1661,5 @@
         ENDIF
         IF ( var(1:13) == 'usm_t_window_'  .AND.  len(TRIM(var)) >= 14 )  THEN
+!
 !--          wall layers
             READ(var(14:14), '(I1)', iostat=istat ) iwl
@@ -1631,4 +1667,5 @@
                 var = var(1:12)
             ELSE
+!
 !--             wrong window layer index
                 RETURN
@@ -1636,4 +1673,5 @@
         ENDIF
         IF ( var(1:12) == 'usm_t_green_'  .AND.  len(TRIM(var)) >= 13 )  THEN
+!
 !--          wall layers
             READ(var(13:13), '(I1)', iostat=istat ) iwl
@@ -1641,4 +1679,5 @@
                 var = var(1:11)
             ELSE
+!
 !--             wrong green layer index
                 RETURN
@@ -1646,4 +1685,5 @@
         ENDIF
         IF ( var(1:8) == 'usm_swc_'  .AND.  len(TRIM(var)) >= 9 )  THEN
+!
 !--          swc layers
             READ(var(9:9), '(I1)', iostat=istat ) iwl
@@ -1651,4 +1691,5 @@
                 var = var(1:7)
             ELSE
+!
 !--             wrong swc layer index
                 RETURN
@@ -1661,14 +1702,15 @@
 
                 CASE ( 'usm_wshf' )
+!
 !--                 array of sensible heat flux from surfaces
 !--                 land surfaces
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%wshf_eb_av) )  THEN
-                          ALLOCATE( surf_usm_h%wshf_eb_av(1:surf_usm_h%ns) )
+                          ALLOCATE ( surf_usm_h%wshf_eb_av(1:surf_usm_h%ns) )
                           surf_usm_h%wshf_eb_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%wshf_eb_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%wshf_eb_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%wshf_eb_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%wshf_eb_av = 0.0_wp
                        ENDIF
@@ -1676,12 +1718,13 @@
                     
                 CASE ( 'usm_qsws' )
+!
 !--                 array of latent heat flux from surfaces
 !--                 land surfaces
                     IF ( l == -1 .AND. .NOT.  ALLOCATED(surf_usm_h%qsws_eb_av) )  THEN
-                        ALLOCATE( surf_usm_h%qsws_eb_av(1:surf_usm_h%ns) )
+                        ALLOCATE ( surf_usm_h%qsws_eb_av(1:surf_usm_h%ns) )
                         surf_usm_h%qsws_eb_av = 0.0_wp
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%qsws_eb_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%qsws_eb_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%qsws_eb_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%qsws_eb_av = 0.0_wp
                        ENDIF
@@ -1689,12 +1732,13 @@
                     
                 CASE ( 'usm_qsws_veg' )
+!
 !--                 array of latent heat flux from vegetation surfaces
 !--                 land surfaces
                     IF ( l == -1 .AND. .NOT.  ALLOCATED(surf_usm_h%qsws_veg_av) )  THEN
-                        ALLOCATE( surf_usm_h%qsws_veg_av(1:surf_usm_h%ns) )
+                        ALLOCATE ( surf_usm_h%qsws_veg_av(1:surf_usm_h%ns) )
                         surf_usm_h%qsws_veg_av = 0.0_wp
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%qsws_veg_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%qsws_veg_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%qsws_veg_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%qsws_veg_av = 0.0_wp
                        ENDIF
@@ -1702,12 +1746,13 @@
                     
                 CASE ( 'usm_qsws_liq' )
+!
 !--                 array of latent heat flux from surfaces with liquid
 !--                 land surfaces
                     IF ( l == -1 .AND. .NOT.  ALLOCATED(surf_usm_h%qsws_liq_av) )  THEN
-                        ALLOCATE( surf_usm_h%qsws_liq_av(1:surf_usm_h%ns) )
+                        ALLOCATE ( surf_usm_h%qsws_liq_av(1:surf_usm_h%ns) )
                         surf_usm_h%qsws_liq_av = 0.0_wp
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%qsws_liq_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%qsws_liq_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%qsws_liq_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%qsws_liq_av = 0.0_wp
                        ENDIF
@@ -1719,13 +1764,14 @@
 !--             accordingly in average_3d_data, sum_up_3d_data, etc..
                 CASE ( 'usm_wghf' )
+!
 !--                 array of heat flux from ground (wall, roof, land)
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%wghf_eb_av) )  THEN
-                           ALLOCATE( surf_usm_h%wghf_eb_av(1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%wghf_eb_av(1:surf_usm_h%ns) )
                            surf_usm_h%wghf_eb_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%wghf_eb_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%wghf_eb_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%wghf_eb_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%wghf_eb_av = 0.0_wp
                        ENDIF
@@ -1733,13 +1779,14 @@
 
                 CASE ( 'usm_wghf_window' )
+!
 !--                 array of heat flux from window ground (wall, roof, land)
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%wghf_eb_window_av) )  THEN
-                           ALLOCATE( surf_usm_h%wghf_eb_window_av(1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%wghf_eb_window_av(1:surf_usm_h%ns) )
                            surf_usm_h%wghf_eb_window_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%wghf_eb_window_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%wghf_eb_window_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%wghf_eb_window_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%wghf_eb_window_av = 0.0_wp
                        ENDIF
@@ -1747,13 +1794,14 @@
 
                 CASE ( 'usm_wghf_green' )
+!
 !--                 array of heat flux from green ground (wall, roof, land)
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%wghf_eb_green_av) )  THEN
-                           ALLOCATE( surf_usm_h%wghf_eb_green_av(1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%wghf_eb_green_av(1:surf_usm_h%ns) )
                            surf_usm_h%wghf_eb_green_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%wghf_eb_green_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%wghf_eb_green_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%wghf_eb_green_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%wghf_eb_green_av = 0.0_wp
                        ENDIF
@@ -1761,13 +1809,14 @@
 
                 CASE ( 'usm_iwghf' )
+!
 !--                 array of heat flux from indoor ground (wall, roof, land)
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%iwghf_eb_av) )  THEN
-                           ALLOCATE( surf_usm_h%iwghf_eb_av(1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%iwghf_eb_av(1:surf_usm_h%ns) )
                            surf_usm_h%iwghf_eb_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%iwghf_eb_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%iwghf_eb_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%iwghf_eb_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%iwghf_eb_av = 0.0_wp
                        ENDIF
@@ -1775,13 +1824,14 @@
 
                 CASE ( 'usm_iwghf_window' )
+!
 !--                 array of heat flux from indoor window ground (wall, roof, land)
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%iwghf_eb_window_av) )  THEN
-                           ALLOCATE( surf_usm_h%iwghf_eb_window_av(1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%iwghf_eb_window_av(1:surf_usm_h%ns) )
                            surf_usm_h%iwghf_eb_window_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%iwghf_eb_window_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%iwghf_eb_window_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%iwghf_eb_window_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%iwghf_eb_window_av = 0.0_wp
                        ENDIF
@@ -1789,13 +1839,14 @@
 
                 CASE ( 'usm_t_surf_wall' )
+!
 !--                 surface temperature for surfaces
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%t_surf_wall_av) )  THEN
-                           ALLOCATE( surf_usm_h%t_surf_wall_av(1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%t_surf_wall_av(1:surf_usm_h%ns) )
                            surf_usm_h%t_surf_wall_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%t_surf_wall_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%t_surf_wall_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%t_surf_wall_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%t_surf_wall_av = 0.0_wp
                        ENDIF
@@ -1803,13 +1854,14 @@
 
                 CASE ( 'usm_t_surf_window' )
+!
 !--                 surface temperature for window surfaces
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%t_surf_window_av) )  THEN
-                           ALLOCATE( surf_usm_h%t_surf_window_av(1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%t_surf_window_av(1:surf_usm_h%ns) )
                            surf_usm_h%t_surf_window_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%t_surf_window_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%t_surf_window_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%t_surf_window_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%t_surf_window_av = 0.0_wp
                        ENDIF
@@ -1817,13 +1869,14 @@
                     
                 CASE ( 'usm_t_surf_green' )
+!
 !--                 surface temperature for green surfaces
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%t_surf_green_av) )  THEN
-                           ALLOCATE( surf_usm_h%t_surf_green_av(1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%t_surf_green_av(1:surf_usm_h%ns) )
                            surf_usm_h%t_surf_green_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%t_surf_green_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%t_surf_green_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%t_surf_green_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%t_surf_green_av = 0.0_wp
                        ENDIF
@@ -1831,13 +1884,14 @@
                 
                 CASE ( 'usm_theta_10cm' )
+!
 !--                 near surface (10cm) temperature for whole surfaces
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%pt_10cm_av) )  THEN
-                           ALLOCATE( surf_usm_h%pt_10cm_av(1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%pt_10cm_av(1:surf_usm_h%ns) )
                            surf_usm_h%pt_10cm_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%pt_10cm_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%pt_10cm_av(1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%pt_10cm_av(1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%pt_10cm_av = 0.0_wp
                        ENDIF
@@ -1845,13 +1899,14 @@
                  
                 CASE ( 'usm_t_wall' )
+!
 !--                 wall temperature for iwl layer of walls and land
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%t_wall_av) )  THEN
-                           ALLOCATE( surf_usm_h%t_wall_av(nzb_wall:nzt_wall,1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%t_wall_av(nzb_wall:nzt_wall,1:surf_usm_h%ns) )
                            surf_usm_h%t_wall_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%t_wall_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%t_wall_av(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%t_wall_av(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%t_wall_av = 0.0_wp
                        ENDIF
